> ## Documentation Index
> Fetch the complete documentation index at: https://docs.dimepayments.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Invoice Item

> Creates an invoicing-only item (fund/designation) for the Merchant. The
item is hidden from public giving pages and can be referenced as a line
item's `item_id`.



## OpenAPI

````yaml https://app.dimepayments.com/openapi.yaml post /api/invoice/item/create
openapi: 3.0.3
info:
  title: Dime Payments API Documentation
  description: >-
    A simple, basic API for managing Merchants through Dime Payments. JSON based
    REST API
  version: 1.0.0
servers:
  - url: https://app.dimepayments.com
security:
  - default: []
tags:
  - name: Merchant management
    description: ''
  - name: Transaction management
    description: >-

      APIs for managing transactions.  Depending on API KEY permissions, one
      should be able to

      charge credit cards, ACH, Google/Apple Pay wallets along with other
      functions.
  - name: Addresses
    description: |-

      APIs for managing customer addresses
  - name: Customer management
    description: >-

      APIs for managing customers.  Depending on API KEY permissions, one should
      be able to

      list, create, update, and delete customers along with several other
      customer specific requests.
  - name: Deposit management
    description: ''
  - name: Invoice management
    description: >-

      APIs for managing invoices. Depending on API KEY permissions, one should
      be

      able to list, create, update, delete, and send invoices, manage their line

      items, and manage recurring-invoice schedules. Every request is scoped to
      a

      single Merchant via the required `data.sid`.
  - name: Payment Method management
    description: >-

      APIs for managing payment methods associated with customers.  Depending on
      API KEY permissions, one should be able to

      list, show, create, update, and delete payment methods.
  - name: Recurring Payments management
    description: >-

      APIs for managing recurring payments.  Depending on API KEY permissions,
      one should be able to

      create, edit, pause, cancel along with other functions.
  - name: Zapier
    description: >-

      APIs for use through Zapier.  Depending on API KEY permissions, one should
      be able to

      see customers and transactions data.
paths:
  /api/invoice/item/create:
    post:
      tags:
        - Invoice management
      summary: Create Invoice Item
      description: |-
        Creates an invoicing-only item (fund/designation) for the Merchant. The
        item is hidden from public giving pages and can be referenced as a line
        item's `item_id`.
      operationId: createInvoiceItem
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            schema:
              type: object
              properties:
                data:
                  type: object
                  description: ''
                  example: []
                  properties:
                    sid:
                      type: integer
                      description: The SID of the Merchant.
                      example: 12345
                    name:
                      type: string
                      description: The item name.
                      example: Consulting
                    description:
                      type: string
                      description: An optional description.
                      example: Professional services
                      nullable: true
                    price:
                      type: number
                      description: An optional default unit price in dollars.
                      example: 125
                      nullable: true
                    tax_deductible:
                      type: boolean
                      description: Whether the item is tax deductible.
                      example: false
                  required:
                    - sid
                    - name
      responses:
        '201':
          description: Created
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    id: 5
                    name: Consulting
                    description: null
                    price: 125
                    tax_deductible: false
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: integer
                        example: 5
                        description: 'The item id. Example: 5'
                      name:
                        type: string
                        example: Consulting
                        description: 'The item name. Example: Consulting'
                      description:
                        type: string
                        example: null
                        description: 'The item description. Example: null'
                      price:
                        type: number
                        example: 125
                        description: >-
                          The default unit price in dollars, if set. Example:
                          125.00
                      tax_deductible:
                        type: boolean
                        example: false
                        description: 'Whether the item is tax deductible. Example: false'
        '400':
          description: Failed validation
          content:
            application/json:
              schema:
                type: object
                example:
                  errors:
                    data.name:
                      - The data.name field is required.
                properties:
                  errors:
                    type: object
                    properties:
                      data.name:
                        type: array
                        example:
                          - The data.name field is required.
                        items:
                          type: string
        '401':
          description: Token unauthorized
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    message: Permission Denied.
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                        example: Permission Denied.
        '404':
          description: Invalid sid
          content:
            application/json:
              schema:
                type: object
                example:
                  data:
                    message: No such Merchant
                properties:
                  data:
                    type: object
                    properties:
                      message:
                        type: string
                        example: No such Merchant
components:
  securitySchemes:
    default:
      type: http
      scheme: bearer
      description: >-
        You can retrieve your token by visiting your dashboard and clicking
        <b>Generate API token under your profile in top right</b>.

````